Update PEAR libraries for 1.9.0

Bug #1247722 reported by Aaron Wells on 2013-11-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells

Bug Description

This bug covers updating the PEAR libraries under htdocs/lib/pear

Aaron Wells (u-aaronw) wrote :

Updating PEAR base system to 1.9.4: https://reviews.mahara.org/2676

Aaron Wells (u-aaronw) wrote :

Updating PEAR Tar_Archive to 1.3.11: https://reviews.mahara.org/2677

Aaron Wells (u-aaronw) wrote :

Documenting that PEAR Image_Color is already up to date https://reviews.mahara.org/2678

Aaron Wells (u-aaronw) wrote :

Updating PEAR Image_Canvas to 0.3.5 https://reviews.mahara.org/2679

Aaron Wells (u-aaronw) wrote :

Documenting that PEAR Image_Graph is at 0.8.0 https://reviews.mahara.org/2680

Aaron Wells (u-aaronw) wrote :

Updating PEAR XML_Feed_Parser to 1.0.5

Reviewed: https://reviews.mahara.org/2676
Committed: http://gitorious.org/mahara/mahara/commit/b3e3b20202734f91dcca800dabf0eeed81edb7c1
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit b3e3b20202734f91dcca800dabf0eeed81edb7c1
Author: Aaron Wells <email address hidden>
Date: Mon Nov 4 17:07:52 2013 +1300

Updating PEAR Base System to 1.9.4

Bug 1247722: Note that the parts of the PEAR Base System that we use, haven't actually changed
any since 1.9.2.

Change-Id: I9e5dab9287907320d73ecbbe12c9e8f828f7d92e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2677
Committed: http://gitorious.org/mahara/mahara/commit/140547c953c501071c7392980d8da81db93957ae
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 140547c953c501071c7392980d8da81db93957ae
Author: Aaron Wells <email address hidden>
Date: Mon Nov 4 17:17:28 2013 +1300

Updating PEAR Archive_Tar to 1.3.11

Bug 1247722

Change-Id: I643ab44bf603ecba72e555eb0b2d9f1e91e7f623

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2681
Committed: http://gitorious.org/mahara/mahara/commit/b49f3854ddaec87572f2b2e8180ea2ad9b1f3a1d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b49f3854ddaec87572f2b2e8180ea2ad9b1f3a1d
Author: Aaron Wells <email address hidden>
Date: Mon Nov 4 17:42:23 2013 +1300

Updating PEAR XML_Feed_Parser to 1.0.5

Bug 1247722: Note that the patches we'd applied to version 1.0.4 have all been
incorporated into 1.0.5. Hence the empty changes list in README.Mahara

Also, version 1.0.5 has the Pear Log class as a dependency, so I'm including that.

Change-Id: Ib57c19ebfbf1f5656adea70b282064e387482bae

Robert Lyon (robertl-9) on 2013-12-09
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers